﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Navigation;
using System.Diagnostics;
using System.Reflection;

namespace SampleApp
{
    /// <summary>
    /// App.xaml 的交互逻辑
    /// </summary>
    public partial class App : Application
    {
        public App()
        {
            // 设置跟踪日志文件
            DefaultTraceListener listener = Trace.Listeners[0] as DefaultTraceListener;
            if (listener == null)
            {
                listener = new DefaultTraceListener();
                Trace.Listeners.Add(listener);
            }
            listener.LogFileName = "trace.log";
        }

        /// <summary>
        /// 程序标题
        /// </summary>
        public static string AppTitle
        {
            get
            {
                Assembly currass = Assembly.GetExecutingAssembly();
                AssemblyProductAttribute product = currass.GetCustomAttribute<AssemblyProductAttribute>();
                if (product != null)
                {
                    return product.Product;
                }
                else
                {
                    AssemblyTitleAttribute title = currass.GetCustomAttribute<AssemblyTitleAttribute>();
                    if (title != null)
                    {
                        return title.Title;
                    }
                }
                return "MyApp";
            }
        }

        /// <summary>
        /// 程序版本
        /// </summary>
        public static string AppVersion
        {
            get
            {
                Assembly ass = Assembly.GetExecutingAssembly();
                AssemblyVersionAttribute ver = ass.GetCustomAttribute<AssemblyVersionAttribute>();
                if (ver != null)
                {
                    return ver.Version;
                }
                else
                {
                    AssemblyFileVersionAttribute fver = ass.GetCustomAttribute<AssemblyFileVersionAttribute>();
                    if (fver != null)
                    {
                        return fver.Version;
                    }
                }
                return "0.0.0.0";
            }
        }
    }
}
